%define         srcname      wmSMPmon
%define         srcdir       %srcname
%define         engdocfiles  COPYING Changelog

%global _legacy_common_support 1

Name:           wmsmpmon
Version:        3.2
Release:        %mkrel 3
Summary:        Another dock application to monitor multi-core systems
License:        GPLv2
Group:          Monitoring

URL:            https://lancre.ribbrock.org/en/binabit_en/wmsmpmon_en.html
Source0:        https://repo.or.cz/dockapps.git/%{srcname}-%{version}.tar.gz


BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xau)
BuildRequires:  pkgconfig(xdmcp)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(dockapp)

%description
Wmsmpmon is yet another docked monitor for WindowMaker, or any desktop
environment that handles docking. It displays some system information
as CPU utilization, memory and swap usage.


%prep
%setup -q -n %srcname-%{version}


%build
cd %srcdir
%make_build CFLAGS="%{optflags}" \
      LIB="%{ldflags} -lX11 -lXext -lXpm -lm -ldockapp"


%install
chmod 644 %engdocfiles
install -D -m 755 %srcdir/%{srcname} %{buildroot}%{_bindir}/%{name}
install -D -m 644 %srcdir/%{srcname}.1 %{buildroot}%{_mandir}/man1/%{name}.1


%files
%doc %engdocfiles
%{_bindir}/%{name}
%{_mandir}/man1/*.1*




%changelog
* Sun Sep 06 2020 eatdirt <eatdirt> 3.2-3.mga8
+ Revision: 1623005
- Fix build with -fcommon
+ wally <wally>
- add -fcommon to build flags to fix build with gcc10

* Sat Sep 05 2020 eatdirt <eatdirt> 3.2-2.mga8
+ Revision: 1622553
- Fix build by allowing muldefs
- Upgrade to version 3.2

* Fri Feb 14 2020 umeabot <umeabot> 3.1-9.mga8
+ Revision: 1518214
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 3.1-8.mga7
+ Revision: 1301702
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 3.1-7.mga6
+ Revision: 947744
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.1-6.mga5
+ Revision: 746415
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.1-5.mga5
+ Revision: 690349
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.1-4.mga4
+ Revision: 520243
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 3.1-3.mga3
+ Revision: 385780
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 eatdirt <eatdirt> 3.1-2.mga3
+ Revision: 314686
- Rebuild for mga3

* Sun Jan 22 2012 eatdirt <eatdirt> 3.1-1.mga2
+ Revision: 199738
- imported package wmsmpmon

